﻿using System;
using System.Windows.Forms;

namespace RCM {
    public partial class SSHConfigControl : UserControl {
        public string[] SSHKeys { get; private set; }

        public SSHConfigControl(SSHConfig sshConfig) {
            InitializeComponent();
            textBoxPutty.Text = sshConfig.PuttyPath;
            textBoxPageant.Text = sshConfig.PageantPath;
            SSHKeys = sshConfig.SSHKeys;
            if (SSHKeys != null) {
                textBoxSshKeys.Text = string.Join(",", SSHKeys);
            }
            textBoxLinuxSSHCommand.Text = sshConfig.LinuxSSHCommand;
        }

        private void ButtonSelectSshKeys_Click(object sender, EventArgs e) {
            if (openFileDialogSshKeys.ShowDialog() == DialogResult.OK) {
                SSHKeys = openFileDialogSshKeys.FileNames;
                textBoxSshKeys.Text = string.Join(",", openFileDialogSshKeys.FileNames);
            }
        }

        private void ButtonSelectPutty_Click(object sender, EventArgs e) {
            if (openFileDialogPutty.ShowDialog() == DialogResult.OK) {
                textBoxPutty.Text = openFileDialogPutty.FileName;
            }
        }

        private void ButtonSelectPageant_Click(object sender, EventArgs e) {
            if (openFileDialogPageant.ShowDialog() == DialogResult.OK) {
                textBoxPageant.Text = openFileDialogPageant.FileName;
            }
        }

        private void ButtonSelectWinSCP_Click(object sender, EventArgs e) {
            if (openFileDialogWinSCP.ShowDialog() == DialogResult.OK) {
                textBoxWinSCP.Text = openFileDialogWinSCP.FileName;
            }
        }
    }
}
